Package org.globus.ftp.exception

# Class UnexpectedReplyCodeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.globus.ftp.exception.FTPException
org.globus.ftp.exception.UnexpectedReplyCodeException

All Implemented Interfaces:
  `Serializable`

public class UnexpectedReplyCodeException extends FTPException
Indicates that the received reply had different code than it had been expected.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.globus.ftp.exception.FTPException

`cause, code, customMessage, UNSPECIFIED`

## Constructor Summary

Constructors
Constructor
Description
`UnexpectedReplyCodeException(int code, String msg, Reply r)`
`UnexpectedReplyCodeException(Reply r)`

## Method Summary

Modifier and Type
Method
Description
`Reply`
`getReply()`

### Methods inherited from class org.globus.ftp.exception.FTPException

`getCode, getCodeExplanation, getCustomMessage, getMessage, getRootCause, printStackTrace, printStackTrace, printStackTrace, setCode, setCustomMessage, setRootCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UnexpectedReplyCodeException

public UnexpectedReplyCodeException(int code, String msg, Reply r)

### UnexpectedReplyCodeException

public UnexpectedReplyCodeException(Reply r)

## Method Details

### getReply

public Reply getReply()